"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _js = _interopRequireDefault(require("./plugins/js"));

var _react = _interopRequireDefault(require("./plugins/react"));

var _relay = _interopRequireDefault(require("./plugins/relay"));

var _reactIntl = _interopRequireDefault(require("./plugins/react-intl"));

var _flowtype = _interopRequireDefault(require("./plugins/flowtype"));

var _testing = _interopRequireDefault(require("./plugins/testing"));

var _prettier = _interopRequireDefault(require("./plugins/prettier"));

var _json = _interopRequireDefault(require("./plugins/json"));

const plugin = {
  rules: Object.assign({}, _js.default.rules, {}, _flowtype.default.rules, {}, _react.default.rules, {}, _reactIntl.default.rules, {}, _relay.default.rules, {}, _testing.default.rules, {}, _prettier.default.rules, {}, _json.default.rules),
  processors: Object.assign({}, _json.default.processors),
  configs: Object.assign({}, _js.default.configs, {}, _flowtype.default.configs, {}, _react.default.configs, {}, _reactIntl.default.configs, {}, _relay.default.configs, {}, _testing.default.configs, {}, _prettier.default.configs, {}, _json.default.configs)
};
module.exports = plugin;