"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _rules = _interopRequireDefault(require("./rules"));

var _default = {
  rules: _rules.default,
  configs: {
    'react-intl': {
      plugins: ['playlyfe'],
      parser: require.resolve('babel-eslint'),
      rules: {
        'playlyfe/react-intl-no-empty-translation': 'error',
        'playlyfe/react-intl-no-missing-id': 'error',
        'playlyfe/react-intl-no-undef-id': 'error',
        'playlyfe/react-intl-no-untranslated-string': 'error',
        'playlyfe/react-intl-strict-message-values': 'error',
        'playlyfe/react-intl-colocate-message-values': 'error',
        'playlyfe/react-intl-valid-message': 'error'
      }
    }
  }
};
exports.default = _default;